Create a skipped Snapshot status check

POST /api/0/projects/{organization_id_or_slug}/{project_id_or_slug}/preprod/snapshots/status-checks/skip/

Create a neutral status check for a commit that intentionally skips an artifact upload.

The repository must be connected to the project's organization through an active repository integration. The same Sentry auth token configured for build uploads can also be used for this endpoint.

Path Parameters

organization_id_or_slug (string)
REQUIRED

The ID or slug of the organization the resource belongs to.

project_id_or_slug (string)
REQUIRED

The ID or slug of the project the resource belongs to. Project slugs are unique within each organization.

Body Parameters

sha (string)
REQUIRED

The full 40-character lowercase commit SHA.

repository (string)
REQUIRED

The repository name in owner/name format.

provider (string)
REQUIRED

The repository integration provider.

  • github
  • github_enterprise

Scopes

<auth_token> requires one of the following scopes:
  • org:ci
  • project:admin
  • project:releases
  • project:write
Copied
curl https://sentry.io/api/0/projects/{organization_id_or_slug}/{project_id_or_slug}/preprod/snapshots/status-checks/skip/ \
 -H 'Authorization: Bearer <auth_token>' \
 -H 'Content-Type: application/json' \
 -d '{}'
RESPONSE
Copied
Success.
Was this helpful?